Bug 2611 - [UPDATE REQUEST] x11-driver-video-ati 7.2.0
: [UPDATE REQUEST] x11-driver-video-ati 7.2.0
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 14:28 MSD by Aleksandr Kazantcev
Modified: 2013-09-10 11:36 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-08-29 14:28:04 MSD
Update free ati driver and libdrm
Comment 1 Aleksandr Kazantcev 2013-08-29 14:46:49 MSD
libdrm
https://abf.rosalinux.ru/build_lists/1222883
https://abf.rosalinux.ru/build_lists/1222884

ati
https://abf.rosalinux.ru/build_lists/1222901
https://abf.rosalinux.ru/build_lists/1222902

Advisory: New free ATI driver has many bugfix and provide some new features:
      radeon: add oland chip family
      radeon/kms: add oland pci ids
      radeon: mark trinity APUs with IGP flag
      radeon: add Richland pci ids
      radeon: add new SI pci ids
      radeon: add new richland pci ids
      radeon: add hainan chip family
      radeon: add Hainan pci ids
      man: fix up previous commit
      radeon: add family ids for CIK
      radeon: update cursor handling for CIK
      radeon/kms: add bonaire pci ids
      radeon/kms: add kabini pci ids
      radeon: bump libdrm requirement to 2.4.46 for CIK support
      radeon: fix naming clashes with multiple GPUs (v3)
      drmmode: add support for multi-screen reverse optimus
      radeon: add support for reverse prime (v2)
      Fix RADEON_FALLBACK logging
      EXA/evergreen/ni: optimize non-overlapping Copy
      EXA/evergreen/ni: fast solid pixmap support
      EXA/evergreen/ni: accelerate PictOpOver with component alpha
      EXA/evergreen/ni: replace magic number
      DRI2: change signature of populate_vbl_request_type
      DRI2: make populate_vbl_request_type external
      drmmode: add drmmode_get_current_ust function
      drmmode: remove dead code from drmmode_crtc_dpms
      drmmode: calculate interpolated vblanks while in dpms-off state
      DRI2: adjust MSC by the number of interpolated vblanks
      DRI2: add vblank extrapolation function
      DRI2: hook up vblank extrapolation to schedule_swap
      DRI2: track CRTC in event record
      DRI2: move rename and rework radeon_dri2_deferred_swap
      DRI2: make wait_msc and get_msc work on disabled CRTCs
      DRI2: support scheduling emulated events with zero delay
      DRI2: add interpolated blanks to frame number in event handlers
      radeonsi: add 2d tiling support
      radeon: fix a memory leak in get_modes() callback.
      bump version post release
      Close drm_fd in CloseScreen.
      Cleanup drmmode in CloseScreen.
      radeon: add refcounts to fix up zaphod open/close.
      Move fd cleanup to correct place.
      drmmode: handle failure of drmModeGetConnector
      kill unused radeon_driver.c
      add bicubic_table.py to EXTRA_DIST
      radeon: bump version for release
      Always go through DFS/UTS when byte swapping is needed.
      Only parse Option "AccelMethod" if glamor was enabled at build time
      glamor: Bail if the glamoregl module wasn't loaded early
      glamor: Initial PRIME pixmap sharing hooks.
      glamor: Enable by default on SI
      glamor: Only enable for depth >= 24
      glamor: Fix build against xserver < 1.13
      glamor: Keep old private in radeon_pixmap_set_bo
      EXA/6xx/7xx: optimize non-overlapping Copy
      radeon: use direct mapping for fast fb access.

libdrm update for minor version due support this features
Comment 2 Postnikov Dmitry 2013-08-29 21:30:49 MSD
With kernel 3.10.9 and Gnome all work, suspend & hibernate - work. But... don't play video with encoded G2M. In old radeon driver video with encoded G2M is play.
Comment 3 Vladimir Potapov 2013-09-03 14:38:13 MSD
The package route to extended testing
Comment 4 Postnikov Dmitry 2013-09-05 16:13:25 MSD
****************************
Extended testing report
***************************
we tested the two graphics cards (HD4250+HD7770). All tests from our wiki is passed. And work for 2 days is stable.
Comment 5 Postnikov Dmitry 2013-09-05 16:14:41 MSD
Forgot... tested on all architectures, and the Gnome and KDE on new kernel 3.10.9
Comment 6 Vladimir Potapov 2013-09-05 17:41:39 MSD
libdrm2-2.4.46-1-rosa2012.1
x11-driver-video-ati-7.2.0-1-rosa2012.1
************************ Advisory *********************
New free ATI driver has many bugfix and provide some new features
*************** Changelog *****************************
      radeon: add oland chip family
      radeon/kms: add oland pci ids
      radeon: mark trinity APUs with IGP flag
      radeon: add Richland pci ids
      radeon: add new SI pci ids
      radeon: add new richland pci ids
      radeon: add hainan chip family
      radeon: add Hainan pci ids
      man: fix up previous commit
      radeon: add family ids for CIK
      radeon: update cursor handling for CIK
      radeon/kms: add bonaire pci ids
      radeon/kms: add kabini pci ids
      radeon: bump libdrm requirement to 2.4.46 for CIK support
      radeon: fix naming clashes with multiple GPUs (v3)
      drmmode: add support for multi-screen reverse optimus
      radeon: add support for reverse prime (v2)
      Fix RADEON_FALLBACK logging
      EXA/evergreen/ni: optimize non-overlapping Copy
      EXA/evergreen/ni: fast solid pixmap support
      EXA/evergreen/ni: accelerate PictOpOver with component alpha
      EXA/evergreen/ni: replace magic number
      DRI2: change signature of populate_vbl_request_type
      DRI2: make populate_vbl_request_type external
      drmmode: add drmmode_get_current_ust function
      drmmode: remove dead code from drmmode_crtc_dpms
      drmmode: calculate interpolated vblanks while in dpms-off state
      DRI2: adjust MSC by the number of interpolated vblanks
      DRI2: add vblank extrapolation function
      DRI2: hook up vblank extrapolation to schedule_swap
      DRI2: track CRTC in event record
      DRI2: move rename and rework radeon_dri2_deferred_swap
      DRI2: make wait_msc and get_msc work on disabled CRTCs
      DRI2: support scheduling emulated events with zero delay
      DRI2: add interpolated blanks to frame number in event handlers
      radeonsi: add 2d tiling support
      radeon: fix a memory leak in get_modes() callback.
      bump version post release
      Close drm_fd in CloseScreen.
      Cleanup drmmode in CloseScreen.
      radeon: add refcounts to fix up zaphod open/close.
      Move fd cleanup to correct place.
      drmmode: handle failure of drmModeGetConnector
      kill unused radeon_driver.c
      add bicubic_table.py to EXTRA_DIST
      radeon: bump version for release
      Always go through DFS/UTS when byte swapping is needed.
      Only parse Option "AccelMethod" if glamor was enabled at build time
      glamor: Bail if the glamoregl module wasn't loaded early
      glamor: Initial PRIME pixmap sharing hooks.
      glamor: Enable by default on SI
      glamor: Only enable for depth >= 24
      glamor: Fix build against xserver < 1.13
      glamor: Keep old private in radeon_pixmap_set_bo
      EXA/6xx/7xx: optimize non-overlapping Copy
      radeon: use direct mapping for fast fb access.

libdrm update for minor version due support this features
***********************************************************
QA Verified